/* Copyright © 2023 Aaron Viviano */

/* Colors
#116530 - Dark Green
#a3ebb1 - Light Green
#21b6a8 - Teal Green
#f4f4f4 - Off white

Space:
# 023047 - Prussian Blue
# 293241 - Gun Metal
# 181D26 - Rich Black Fogra
*/

:root {
  --navbar-color: #293241;
  --header-font-color: #f4f4f4;
  --background-color: #181D26;
  --primary-color: #293241; 
  --highlight-color: #a3ebb1;
  --link-color: #A2EBE6;
  --text-background-color: #f4f4f4;
  --text-hover-color: #181D26;
  --MaxWidth: 1200px;
}

/* Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 78.125%; /* Set to 10px */
}

/* Utility */
.highlight {
  background-color: var(--highlight-color);
  color: var(--text-background-color);
}

.spacer {
  height: 1px;
}

.layoutGuide {
  max-width: var(--MaxWidth);
  margin: auto;
}

/* Core */
body {
  background-color: var(--background-color);
  font-family: Arial, Helvetica, sans-serif;
}

section {
  margin: auto;
}

a {
  color: white;
  text-decoration: none;
}

/* Navbar */
.boundaries {
  background-color: var(--navbar-color);
}

.navbar {
  background-color: var(--navbar-color);
  color: var(--header-font-color);
  width: 100%;
  box-sizing: border-box;
  /* Prevents the header text from going outside of the owning div. */
  overflow: hidden;
  margin: auto;
  display: block;
  grid-template-rows: auto 1fr;
}

.navbar h1 {
  font-size: 0.8rem;
  margin: 0.5rem 0;
  text-align: center;
}

.navbar .menu {
  margin: auto 0px;
}

.navbar .menu ul {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 0rem;
}

.navbar .menu ul li a {
  display: block;
  text-align: center;
  font-size: 1;
  padding: 1rem 1rem 1rem 1rem;
}

.navbar .menu ul li:hover {
  background: var(--highlight-color);
  color: var(--primary-color);
  padding: auto;
}

.navbar .menu ul li a:hover {
  color: var(--text-hover-color);
}

/* Navigation button that is highlighted for the current page. */

.navbarHighlight {  
  background: var(--highlight-color);
  color: var(--text-hover-color);
  display: block;
  text-align: center;
  font-size: 16px;
  padding: 1rem 1rem 1rem 1rem;
}

.highlightedButton {  
  background: var(--background-color);
  border: 2px;
  border-style: solid;
  border-color: var(--highlight-color);
  color: var(--text-background-color);
  margin: 0rem 0rem 2rem;
  display: block;
  text-align: center;
  font-size: 16px;
  padding: 1rem 1rem 1rem 1rem;
}

.highlightedButton:hover {  
  background: var(--highlight-color);
  color: var(--text-hover-color);
}

/* Welcome */
#welcome {
  margin-bottom: 1rem;
}

.welcomeContent {
  Width: 90vw;
  margin: auto;
}

.welcomeContent h2 {
  font-size: 2.3rem;
  margin-top: 1.5rem;
  text-align: center;
}

#welcomeIntro p {
  font-size: 1.3rem;
}

.welcomeContent p {
  font-size: 1.3rem;
  padding: 1rem 0px;
  list-style: none;
}

/* Sections */

.category {
  margin: 1rem 1rem 1rem 0.5rem;
  overflow: hidden;
}

.category h1 {
  font-size: 2rem;
  margin-bottom: 1rem;
}

.content {
  display: block;
}

.content h2 {
  padding: 0.5rem 0;
  margin-left: 0.4rem;
  font-size: 1.6rem;
}

.content ul {
  padding: 10px 0.4rem;
  list-style: none;
}

.content ul li {
  font-size: 1.3rem;
}

.content p {
  padding: 1rem 0.4rem;
  width: 95vw;
  margin: 0 0;
  list-style: none;
  font-size: 1.3rem;
}


.description {
  display: block;
}

.description h2 {
  padding: 0.5rem 0;
  margin-left: 0.4rem;
  font-size: 1.6em;
}

.description ul {
  padding: 10px 0.4rem;
  list-style: none;
}

.description ul li {
  font-size: 1.3rem;
  padding: 1rem 0rem;
}

.description p {
  padding: 0rem 0.4rem;
  width: 95vw;
  margin: 0 0;
  list-style: none;
  font-size: 1.3rem;
}

.titleLight {
  background-color: var(--primary-color);
  color: #f4f4f4;
  box-sizing: border-box;
}

.titleDark {
  background-color: var(--primary-color);
  box-sizing: border-box;
}

.buttonGrid ul{
  list-style: none;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.buttonLight {
  margin: 1rem 1rem;
  border: 0;
  background-color: var(--highlight-color);
  display: block;
  text-align: center;
  font-size: 1;
  padding: 1rem 1rem 1rem 1rem;
}

#languages {
  grid-area: languages;
}

#libraries {
  grid-area: libraries;
}

#tools {
  grid-area: tools;
}

#imo {
  grid-area: imo;
}

#certs {
  grid-area: certs;
}

/* Useful for flex? */
.clr {
  clear: both;
}

.light {
  background-color: #f4f4f4;
  color: var(--primary-color);
}

/* 18A558 */
.dark {
  background-color: var(--background-color);
  color: #f4f4f4
}

.fillContainer {
  width: 100%;
}

.stackLeft {
  float: left;
}

.stackRight {
  float: right;
  margin: auto;
}

.emphasize {
  color: var(--highlight-color);
  font-weight: 600;
}

.link {
  color: var(--link-color);
  font-weight: 600;
}

/* Resume */
#resume {
  margin: auto;
  font-size: 1.2rem;
}

.resumeLayout{
  max-width: 95vw;
  margin: 1rem auto;
}

#resume h1 {
  font-size: 2rem;
}

#resume h2 {
  margin-top: 1.5rem;
  font-size: 1.2rem;
  font-weight: 700;
  text-decoration: underline;
}

#resume h3 {
  margin: 0.5rem 0rem 0.5rem 0rem;
}

#resume p {
  margin: 0.3rem 0px;
}

#resume .titleLight {
  padding: 1rem 0.5rem;
  text-decoration: none;
}

#resume .titleLight h2 {
  text-decoration: none;
}

#resume .title {
  background-color: var(--highlight-color);
  color: var(--background-color);
  width: fit-content;
  padding: 1rem;
  margin: 1rem 0rem;
}

#resume .date h2{
  margin: 0.1rem 1rem;
  text-decoration: none;
}

#resume .emphasize {
  margin: 1rem 0rem;
}

#resume .company h1 {
  font-size: 1.4rem;
}
#resume .company h2 {
  font-size: 1rem;
}

#resume .company h1,
#resume .company h2 {
  margin: 0rem 0.5rem;
}

#resume .positionTitle {
  margin: 1rem auto;
  font-size: 1rem;
}

#resume #awards-rec h2{
  margin-top: 1.5rem;
  font-size: 1.2rem;
  font-weight: 700;
  text-decoration: underline;
}

/* About */
.about {
  margin-bottom: 1rem;
}

.aboutContent {
  Width: 97vw;
  padding-right: 0.5rem;
  margin: 0rem 1rem 0rem 0.5rem;
}

.aboutContent h1 {
  font-size: 2.3rem;
  margin: 0.5rem 0;
  text-align: left;
}

.aboutContent p:first-child {
  padding-top: 0rem;
}

.aboutText {
  margin: 0.5rem 0;
}

.aboutContent p {
  font-size: 1.3rem;
  padding: 0.4rem 0px;
  list-style: none;
}

/* Footer */
footer {
  text-align: center;
  margin-bottom: 1rem;
}

footer h2 {
  font-size: 1rem;
  margin-bottom: 1rem;
}

footer p {
  text-align: center;
}
/* Vertical Fold Smart Phones */
@media screen and (max-width: 300px) {
  .navbar h1 {
    font-size: 0.65rem;
    margin: 0.5rem 0;
  }

  .navbar .menu ul li a {
    font-size: 1;
    padding: 1rem 0.5rem 1rem 0.5rem;
  }

  .content ul li {
    font-size: 1.1rem;
  }

  footer h2{
    font-size: 0.9rem;
  }
}

/* Medium to Large Smart Phones */
@media screen and (min-width: 321px) {
  .navbar h1 {
    font-size: 0.9rem;
    margin: 1rem 0;
  }
}
/* Tablet */
@media screen and (min-width: 768px) {
  
  /* Utility */
  .spacer {
    height: 2px;
  }

  /* Navbar */
  .navbar h1 {
    font-size: 1.8rem;
    margin: 1rem 0;
  }

  .navbar .menu ul {
    list-style: none;
    display: block;
    float: left;
  }

  .navbar .menu ul li {
    float: left;
  }

  .navbar .menu ul li a {
    display: block;
    font-size: 1.7rem;
    padding: 20px 15px 20px 15px;
  }

  .navbar .menu ul li:hover {
    background: var(--highlight-color);
    color: var(--primary-color);
    padding: auto;
  }

  .navbar .menu ul li a:hover {
    color: var(--text-hover-color);
  }

  /* Welcome */
  #welcome {
    min-height: 70vh;
    display: flex;
    margin-bottom: 3rem;
  }

  .welcomeContent {
    Width: 70vw;
    margin: auto;
  }

  .welcomeContent h2 {
    font-size: 4rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
    text-align: center;
  }

  .welcomeContent p {
    font-size: 2rem;
    padding: 10px 2px;
    list-style: none;
  }

  #welcomeIntro p {
    font-size: 2.4rem;
  }

  /* Sections */
  .category {
    margin: 1rem auto;
    margin-bottom: 2rem;
    overflow: hidden;
  }

  .category h1 {
    font-size: 2.4rem;
    padding: 10px 0px 10px 10px;
  }

  .category h2 {
    font-size: 1.5rem;
  }

  .grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
  }

  .gridSingleEntry {
    display: grid;
    grid-template-columns: 1fr;
  }

  .gridTech {
    display: grid;
    grid-template-columns: 1.3fr 1fr 1fr;
    grid-template-areas:
    "languages libraries imo"
    "tools libraries imo"
    "tools certs certs";
    margin: 0rem;
    padding: 0rem;
    gap: 0rem;
  }

  .gridTech .gridCell .content {
    min-height: auto;
  }

  .box {
    align-self: center;
  }

  .grid > .box {
    position: absolute;
  }

  .content{
    display: block;
    margin: 0rem 20px;
    min-height: 140px;
  }

  .content ul li {
    font-size: 1.4rem;
    list-style: none;
  }

  .content p {
    font-size: 1.4rem;
    padding: 10px 0px; 
    list-style: none;
    width: auto;
    margin: 0;
  }
  
  
  .description{
    display: block;
    margin: 0rem 20px;
  }

  .description ul li {
    font-size: 1.4rem;
    list-style: none;
  }

  .description p {
    font-size: 1.4rem;
    padding: 10px 0px; 
    list-style: none;
    width: auto;
    margin: 0;
  }

  /* Resume */
  #resume {
    margin: auto;
    font-size: 1.5rem;
  }

  #resume .companyName {
    display: flex;
  }

  #resume .companyDate {
    display: flex;
  }

  #resume h1 {
    font-size: 2rem;
  }
  
  #resume h2 {
    margin-top: 1.5rem;
    font-size: 1.5rem;
    font-weight: 700;
    text-decoration: underline;
  }

  #resume .company h1 {
    font-size: 1.9rem;
  }

  #resume .company h2 {
    font-size: 1.5rem;
  }

  #resume .positionTitle {
    margin: 1rem auto;
    font-size: 1.5rem;
  }
  
  #resume #awards-rec h2{
    margin-top: 1.5rem;
    font-size: 1.5rem;
    font-weight: 700;
    text-decoration: underline;
  }

  #resume .company h1:first-child::after {
    content: " - ";
  }

  #resume .company h2:not(:only-of-type):first-child::after {
    content: ", ";
  }

  /* About */
  .aboutMain {
    height: 90vh;
    display: grid;
    grid-template-rows: 0 auto 1fr auto;
  }

  .aboutGrid {
    display: grid;
    grid-template-columns: 295px auto;
  }

  .aboutText {
    margin-top: -3px;
  }

  .aboutContent p {
    font-size: 1.3rem;
    padding: 0.6rem 0px;
  }
  
  /* Design */
  .designMain {
    height: 90vh;
  }
  
  /* Footer */
  footer {
    text-align: center;
    margin-bottom: 1rem;
  }

  footer p {
    text-align: center;
  }

  .aboutMain footer {
    margin: 0px;
  }
  
  .designMain footer {
    margin: 0px;
  }
}

/* Desktop */
@media screen and (min-width: 1181px) {
  
  html {
    font-size: 62.5%; /* Set to 10px */
  }

  /* Core */
  body {
    margin: 0px;
  }

  /* Navbar */
  .navbar {
    width: var(--MaxWidth);
    align-self: center;
    display: grid;
    grid-template-columns: auto 1fr;
  }

  .navbar h1 {
    font-size: 2.3rem;
    margin: auto;
  }

  .navbar .menu ul {
    list-style: none;
    display: block;
    float: right;
  }

  .navbar .menu ul li {
    float: left;
  }

  .navbar .menu ul li a {
    display: block;
    font-size: 1.7rem;
    padding: 20px 15px 20px 15px;
  }

  .navbar .menu ul li:hover {
    background: var(--highlight-color);
    color: var(--primary-color);
    padding: auto;
  }

  .navbar .menu ul li a:hover {
    color: var(--text-hover-color);
  }

  /* Welcome */
  #welcome {
    min-height: 650px;
    margin-bottom: 0rem;
  }

  .welcomeContent h2 {
    font-size: 7rem;
    margin-top: 0rem;
    margin-bottom: 3rem;
  }

  .welcomeContent p {
    font-size: 2.4rem;
  }

  #welcomeIntro p {
    font-size: 3rem;
  }

  /* Sections */
  .gridTech {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-areas:
    "languages libraries imo"
    "tools libraries imo"
    "certs certs certs";
    margin: 0rem;
    padding: 0rem;
    gap: 0rem;
  }

  .content h2 {
    font-size: 1.8rem;
  }

  .content p {
    font-size: 1.6rem;
  }

  .content ul li {
    font-size: 1.6rem;
  }
  
  .description p {
    font-size: 1.6rem;
    padding: 0px 0px; 
    list-style: none;
    width: auto;
    margin: 0;
  }

  .description ul li {
    font-size: 1.6rem;
    padding: 0;
    margin: 0;
  }

  /* Resume */
  #resume .companyName {
    display: flex;
  }

  #resume .companyDate {
    display: flex;
  }

  #resume {
    margin: auto;
    font-size: 2rem;
  }

  .resumeLayout{
    max-width: 95vw;
    margin: 2rem auto;
  }

  #resume h1 {
    font-size: 3rem;
  }

  #resume h2 {
    margin-top: 1.5rem;
    font-size: 2rem;
    font-weight: 700;
    text-decoration: underline;
  }

  #resume h3 {
    margin: 0.5rem 0rem 1rem 0rem;
  }

  #resume .company h1,
  #resume .company h2 {
    margin-right: 0.5rem;
  }

  #resume .company h2 {
    margin-top: 0.5rem;
  }

  #resume .company h1 {
    font-size: 2.8rem;
  }

  #resume p {
    margin: 0.3rem;
    line-height: 2.6rem;
  }

  #resume .titleLight {
    padding: 1rem 0.5rem;
  }

  #resume .positionTitle {
    margin: 1rem auto;
    font-size: 2rem;
  }

  /* About */
  .about {
    margin-bottom: 1rem;
  }

  .aboutContent {
    Width: 97vw;
    margin: auto;
  }

  .aboutContent h1 {
    font-size: 2.3rem;
    margin-top: 1.5rem;
    margin-bottom: 0.5rem;
  }

  .aboutContent p {
    font-size: 2rem;
    padding: 1rem 0px;
  }

  .aboutGrid {
    display: grid;
    grid-template-columns: 295px auto;
  }

  /* Footer */
  footer {
    margin-bottom: 1em;
  }

  footer h2 {
    font-size: 1.4rem;
  }

  /* Clearers */
  .noMargin {
    margin: 0;
  }
}

/* Clearers */
.lastButton {
  margin: 0;
}

.removeBottomPadding {
  padding-bottom: 0rem;
}
